// =====================================================================
//  $Id: St02EventAction.hh,v 1.1 2003/07/11 05:34:14 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __ST02EVENTACTION_HH
#define __ST02EVENTACTION_HH

#include "TEventAction.hh"

class TDataRecord;

class St02EventAction
  : public TEventAction
{

  public:
    St02EventAction();
    ~St02EventAction();

  public:
    TReadoutList* WaitEvent();
    Tvoid BeginOfEventAction( TEvent& anEvent );
    Tvoid EndOfEventAction( TEvent& anEvent );

  private:
    Tvoid fillEventInformation( const TDataRecord& record );

};

#endif
